Bug 985058 - bodhi source RPM spec doesn't define where source tarball comes from
bodhi source RPM spec doesn't define where source tarball comes from
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bodhi (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-16 12:52 EDT by Eric Smith
Modified: 2016-09-19 22:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-18 17:29:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Smith 2013-07-16 12:52:34 EDT
Description of problem:

The Source0 tag in the bodhi RPM spec file gives only a local filename, not a URL, and there is no information (e.g., comments or scripts) as to how to obtain the tarball or generate it from a source repository.  This is a violation of the SourceURL policy: http://fedoraproject.org/wiki/Packaging:SourceURL

Version-Release number of selected component (if applicable):
bodhi-0.9.5-2
Comment 1 Eric Smith 2013-07-16 12:57:15 EDT
It appears that the source repository for bodhi is on git.fedorahosted.org, and there are tarballs of some snapshots, e.g.:

https://git.fedorahosted.org/cgit/bodhi.git/snapshot/bodhi-0.9.3.zip

However, it appears that there is not a tarball for 0.9.5.  If the RPM is based on an unreleased snapshot, the RPM spec should document that and give instructions (or a script) for extracting the correct tag from the repository (or, if it isn't tagged, otherwise getting the correct files) and building the tarball.
Comment 2 Luke Macken 2014-03-18 17:29:38 EDT
Fixed in rawhide. Thanks!

Note You need to log in before you can comment on or make changes to this bug.